Retrieve a style profile
curl --request GET \
--url https://api.deepl.com/v3/style_profiles/{style_profile_id} \
--header 'Authorization: <api-key>'{
"style_profile_id": "3f1c9d0e-7a24-4b58-9c31-8f0e5d2a1b47",
"name": "Legal, German",
"description": "Contract wording for the German market.",
"industry": "Legal",
"glossary_ids": [
"4d0a2e1c-6b93-4f7a-8d15-2c6e9a3b7f81"
],
"style_rule_ids": [
"bd0a38f3-1831-440b-a8dd-2c702e2325ab"
],
"translation_memory_ids": [
"a74d88fb-ed2a-4943-a664-a4512398b994"
],
"glossary_priority_order_enabled": true,
"creation_time": "2026-04-01T16:34:25.223Z",
"updated_time": "2026-08-06T09:12:44.108Z"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}Style Profiles
Retrieve a style profile
Retrieve a style profile’s linked components and metadata by its ID.
GET
/
v3
/
style_profiles
/
{style_profile_id}
Retrieve a style profile
curl --request GET \
--url https://api.deepl.com/v3/style_profiles/{style_profile_id} \
--header 'Authorization: <api-key>'{
"style_profile_id": "3f1c9d0e-7a24-4b58-9c31-8f0e5d2a1b47",
"name": "Legal, German",
"description": "Contract wording for the German market.",
"industry": "Legal",
"glossary_ids": [
"4d0a2e1c-6b93-4f7a-8d15-2c6e9a3b7f81"
],
"style_rule_ids": [
"bd0a38f3-1831-440b-a8dd-2c702e2325ab"
],
"translation_memory_ids": [
"a74d88fb-ed2a-4943-a664-a4512398b994"
],
"glossary_priority_order_enabled": true,
"creation_time": "2026-04-01T16:34:25.223Z",
"updated_time": "2026-08-06T09:12:44.108Z"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}Authorizations
Path Parameters
Response
Returns the style profile.